package com.fuzamei.web;

import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.fastjson.JSON;
import com.fuzamei.baseTest.BaseJunit4Test;

public class UserTest extends BaseJunit4Test{
	
	@Autowired
	private ReceivingClerkAction receivingClerkAction;
	
	@Autowired
	private CarriersAction carriersAction;
	@Autowired
	private SupplierAction supplierAction;
	@Autowired
	private PlannerAction plannerAction;
	@Autowired
	private UserAction userAction;

	@Test
	public void test01(){
		Map<String, Object> map = receivingClerkAction.queryReceivingClerk("{'user_id':1001,'username':'商应供'}");
		System.out.println(JSON.toJSONString(map,true));
	}
	
	@Test
	public void test02(){
		Map<String, Object> map = carriersAction.queryCarriers("{'user_id':1001,'username':'王五'}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test03(){
		Map<String, Object> map = supplierAction.queryPlannerBySupplierId("{'user_id':1001,'supplierId':'1006'}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test04(){
		Map<String, Object> map = supplierAction.querySupplier("{'user_id':1001,'username':''}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test05(){
		Map<String, Object> map = plannerAction.queryPlanner("{'user_id':1001,'username':''}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test06(){
		Map<String, Object> map = plannerAction.queryYesOrNoSupplierByPlannerId("{'user_id':1001,'plannerId':'1002'}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test07(){
		Map<String, Object> map = userAction.getAllRoles("{'user_id':1001}");
		System.out.println(JSON.toJSONString(map,true));
	}
	@Test
	public void test08(){
		Map<String, Object> map = userAction.queryUsers("{'user_id':1001}");
		System.out.println(JSON.toJSONString(map,true));
	}
	
}
